{: test that a bad range symbol is gracefully handled }

program e038(output);

var
   myrec : record
              n     : integer;
              f1,f2 : file of integer;
              g     : file of real;
           end;

   myrec1 : packed record
               i,j,k,l : 0..15;
               a       : array[0..15] of integer;
            end;

   ar     : array [1..5] of record
                n     : integer;
                f1,f2 : file of integer;
                g     : array[1...4] of file of real;
            end;    { !!!  ----^^^---- bad range symbol }
begin {e038}
   with myrec do begin
      n:=1;
      rewrite(f1);
   end;

   with myRec1 do begin
      i := 4;
      a[3] := 888;
   end;
end. {e038}

